package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class AddMyChildInfoV1Req extends BaseRequest{

	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "derver", value = "设备号", required = true)
    private String derver;
	
	@ApiModelProperty(name = "longitude", value = "经度", required = true)
    private String longitude;
    
    @ApiModelProperty(name = "latitude", value = "纬度", required = true)
    private String latitude;

    @ApiModelProperty(name = "imgUrl", value = "小孩头像", required = false)
    private String imgUrl;
    
    @ApiModelProperty(name = "childName", value = "小孩姓名", required = true)
    private String childName;
    
    @ApiModelProperty(name = "sex", value = "小孩性别（1男2女）", required = false)
    private String sex;
    
    @ApiModelProperty(name = "parentName", value = "家长姓名", required = false)
    private String parentName;
    
    @ApiModelProperty(name = "phone", value = "手机号", required = false)
    private String phone;
    
    @ApiModelProperty(name = "courseName", value = "授课科目", required = false)
    private String courseName;
    
    @ApiModelProperty(name = "grade", value = "年级", required = false)
    private String grade;
    
    @ApiModelProperty(name = "school", value = "就读学校", required = false)
    private String school;
    
    @ApiModelProperty(name = "family", value = "家庭住址", required = false)
    private String family;
    
    @ApiModelProperty(name = "studyPlan", value = "学习计划", required = false)
    private String studyPlan;

	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}

	public String getImgUrl() {
		return imgUrl;
	}

	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}

	public String getChildName() {
		return childName;
	}

	public void setChildName(String childName) {
		this.childName = childName;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public String getFamily() {
		return family;
	}

	public void setFamily(String family) {
		this.family = family;
	}

	public String getStudyPlan() {
		return studyPlan;
	}

	public void setStudyPlan(String studyPlan) {
		this.studyPlan = studyPlan;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
}
